{
  "name": "weather-app",
  "version": "0.0.1",
  "private": true,
  "author": "islambeg",
  "license": "Unlicense",
  "dependencies": {
    "@types/node": "^16.11.43",
    "@types/react": "^18.0.15",
    "@types/react-dom": "^18.0.6",
    "axios": "^0.27.2",
    "date-fns": "^2.28.0",
    "lodash": "^4.17.21",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-hot-toast": "^2.3.0",
    "react-modal": "^3.15.1",
    "react-query": "^3.39.1",
    "react-scripts": "5.0.1",
    "react-transition-group": "^4.4.2",
    "sass": "^1.53.0",
    "the-new-css-reset": "^1.7.2",
    "typescript": "^4.7.4"
  },
  "devDependencies": {
    "@types/lodash": "^4.14.182",
    "@types/react-modal": "^3.13.1",
    "@types/react-transition-group": "^4.4.5",
    "@typescript-eslint/eslint-plugin": "^5.30.5",
    "@typescript-eslint/parser": "^5.30.5",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-airbnb-typescript": "^17.0.0",
    "eslint-config-prettier": "^8.5.0",
    "husky": "^7.0.0",
    "lint-staged": "^13.0.3",
    "postcss-html": "^1.5.0",
    "prettier": "^2.7.1",
    "stylelint": "^14.9.1",
    "stylelint-config-css-modules": "^4.1.0",
    "stylelint-config-prettier-scss": "^0.0.1",
    "stylelint-config-standard-scss": "^4.0.0"
  },
  "scripts": {
    "prepare": "husky install && husky add .husky/pre-commit 'npx lint-staged' && git add .husky/pre-commit",
    "start": "react-scripts start",
    "build": "react-scripts build",
    "lint": "eslint --ext .js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore --cache",
    "stylelint": "stylelint --fix --ignore-path .gitignore --cache",
    "prettify": "prettier --write --ignore-path .gitignore --plugin-search-dir=."
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "airbnb",
      "airbnb-typescript",
      "prettier"
    ],
    "parserOptions": {
      "project": "./tsconfig.json"
    },
    "rules": {
      "no-restricted-exports": 0,
      "react/require-default-props": 0,
      "react/jsx-props-no-spreading": 0
    }
  },
  "prettier": {
    "trailingComma": "all",
    "tabWidth": 2,
    "semi": true,
    "singleQuote": false
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "lint-staged": {
    "*.{js,jsx,cjs,mjs,ts,tsx,cts,mts}": "npm run lint --",
    "*.{css,scss,html}": "npm run stylelint --",
    "*.{json,html,css,scss,js,jsx,cjs,mjs,ts,tsx,cts,mts}": "npm run prettify --"
  }
}
